{
  "x-generator": "On Key REST API Docs Generator",
  "openapi": "3.0.0",
  "info": {
    "title": "On Key AHM  API Specification",
    "description": "Better and smarter enterprise asset management with one of the world's leading Enterprise Asset Management (EAM) systems.",
    "termsOfService": "https://www.onkey.com/",
    "contact": {
      "name": "On Key Support",
      "url": "https://www.onkey.com/",
      "email": "onkey.support@pragmaworld.net"
    },
    "license": {
      "name": "On Key Licence",
      "url": "https://www.onkey.com/"
    },
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "{scheme}://{server}:{port}/api/tenants/{client}/{connection}",
      "description": "On Key API Server",
      "variables": {
        "scheme": {
          "default": "https",
          "description": "HTTP scheme"
        },
        "server": {
          "default": "<variable>",
          "description": "Server host"
        },
        "port": {
          "default": "443",
          "description": "Port"
        },
        "client": {
          "default": "<variable>",
          "description": "Client"
        },
        "connection": {
          "default": "<variable>",
          "description": "Connection/Environment (i.e. prod, qa)"
        }
      }
    }
  ],
  "paths": {
    "/Modules/AHM/Alarms/{id}": {
      "get": {
        "tags": [
          "Alarm"
        ],
        "summary": "Get a Alarm resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| createdByUserId | Alarm->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | Alarm->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | Alarm->CreatedByUser_FullName | string |  |\r\n| createdOn | Alarm->CreatedOn | string | date-time |\r\n| modifiedByUserId | Alarm->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | Alarm->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | Alarm->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | Alarm->ModifiedOn | string | date-time |\r\n| version | Alarm->Version | integer | int32 |\r\n| permissionTreeId | Alarm->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | Alarm->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | Alarm->PermissionTree_Description | string |  |\r\n| id | Alarm->Id | integer | int64 |\r\n| alarmTypeId | Alarm->AlarmType_Id | integer | int64 |\r\n| alarmTypeCode | Alarm->AlarmType_Code | string |  |\r\n| alarmTypeDescription | Alarm->AlarmType_Description | string |  |\r\n| assetId | Alarm->Asset_Id | integer | int64 |\r\n| assetCode | Alarm->Asset_Code | string |  |\r\n| assetDescription | Alarm->Asset_Description | string |  |\r\n| assetRecordType | Alarm->Asset_RecordType | string (Allowed values: [Regular, InPlace, EmptyPlaceholder, LinkedPlaceholder]) | enum |\r\n| classification | Alarm->Classification | string (Allowed values: [Information, Warning, Error]) | enum |\r\n| description | Alarm->Description | string |  |\r\n| exceededBound | Alarm->ExceededBound | string (Allowed values: [UpperCritical, UpperWarning, LowerWarning, LowerCritical]) | enum |\r\n| monitoringPointId | Alarm->MonitoringPoint_Id | integer | int64 |\r\n| monitoringPointCode | Alarm->MonitoringPoint_Code | string |  |\r\n| monitoringPointDescription | Alarm->MonitoringPoint_Description | string |  |\r\n| monitoringPointIsCalculated | Alarm->MonitoringPoint_IsCalculated | boolean |  |\r\n| monitoringPointMonitoringPointTypeId | Alarm->MonitoringPoint_MonitoringPointType_Id | integer | int64 |\r\n| monitoringPointMonitoringPointTypeCode | Alarm->MonitoringPoint_MonitoringPointType_Code | string |  |\r\n| monitoringPointMonitoringPointTypeDescription | Alarm->MonitoringPoint_MonitoringPointType_Description | string |  |\r\n| notes | Alarm->Notes | string |  |\r\n| sequenceNumber | Alarm->SequenceNumber | integer | int32 |\r\n| source | Alarm->Source | string (Allowed values: [Manual, StandaloneTriggerExpression, AssetRegisterTriggerExpression]) | enum |\r\n| status | Alarm->Status | string (Allowed values: [Active, Acknowledged, Closed, Cancelled, ClosedBySystem]) | enum |\r\n| workOrderGenerated | Alarm->WorkOrderGenerated | boolean |  |\r\n",
        "operationId": "GetAlarm",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Alarm Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Alarm",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMonitorPointTypeResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Alarm"
        ],
        "summary": "Update an existing Alarm resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | Alarm->Version | integer | int32 |\r\n| assetId | Alarm->Asset_Id | integer | int64 |\r\n| alarmTypeId | Alarm->AlarmType_Id | integer | int64 |\r\n| classification | Alarm->Classification | string (Allowed values: [Information, Warning, Error]) | enum |\r\n| description | Alarm->Description | string |  |\r\n| notes | Alarm->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| alarmTypeId | Nullable | False |  |\r\n| classification | Nullable | False |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 500 chars|  |\r\n| notes | Read-only | True | Alarm->Status EQ 'Cancelled' OR Alarm->Status EQ 'ClosedBySystem' OR Alarm->Status EQ 'Closed' |\r\n\r\n",
        "operationId": "UpdateAlarm",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Alarm Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateAlarmResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Alarm was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms": {
      "get": {
        "tags": [
          "Alarm"
        ],
        "summary": "Get a collection of Alarm resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | Alarm->Version | integer | int32 |\r\n| id | Alarm->Id | integer | int64 |\r\n| description | Alarm->Description | string |  |\r\n| assetId | Alarm->Asset_Id | integer | int64 |\r\n| assetCode | Alarm->Asset_Code | string |  |\r\n| assetDescription | Alarm->Asset_Description | string |  |\r\n| alarmTypeId | Alarm->AlarmType_Id | integer | int64 |\r\n| alarmTypeCode | Alarm->AlarmType_Code | string |  |\r\n| alarmTypeDescription | Alarm->AlarmType_Description | string |  |\r\n| workOrderGenerated | Alarm->WorkOrderGenerated | boolean |  |\r\n| status | Alarm->Status | string (Allowed values: [Active, Acknowledged, Closed, Cancelled, ClosedBySystem]) | enum |\r\n| notes | Alarm->Notes | string |  |\r\n| createdOn | Alarm->CreatedOn | string | date-time |\r\n| modifiedOn | Alarm->ModifiedOn | string | date-time |\r\n| sequenceNumber | Alarm->SequenceNumber | integer | int32 |\r\n",
        "operationId": "GetAlarmCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Alarm collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAlarmCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "Alarm"
        ],
        "summary": "Create a new Alarm resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| alarmTypeId | Alarm->AlarmType_Id | integer | int64 |\r\n| assetId | Alarm->Asset_Id | integer | int64 |\r\n| classification | Alarm->Classification | string (Allowed values: [Information, Warning, Error]) | enum |\r\n| description | Alarm->Description | string |  |\r\n| permissionTreeId | Alarm->PermissionTree_Id | integer | int64 |\r\n| notes | Alarm->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| alarmTypeId | Required | True |  |\r\n| alarmTypeId | Nullable | False |  |\r\n| classification | Nullable | False |  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 500 chars|  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "CreateAlarm",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateAlarmResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/Lookups/LookupAlarmAlarmType": {
      "get": {
        "tags": [
          "Alarm"
        ],
        "summary": "Lookup the Alarm Type for the Alarm.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AlarmType->Id | integer | int64 |\r\n| code | AlarmType->Code | string |  |\r\n| description | AlarmType->Description | string |  |\r\n",
        "operationId": "LookupAlarmAlarmType",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Alarm Type collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AlarmAlarmTypeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/Lookups/LookupAlarmAsset": {
      "get": {
        "tags": [
          "Alarm"
        ],
        "summary": "Lookup the Asset for the Alarm.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | Asset->Id | integer | int64 |\r\n| code | Asset->Code | string |  |\r\n| description | Asset->Description | string |  |\r\n| recordType | Asset->RecordType | string (Allowed values: [Regular, InPlace, EmptyPlaceholder, LinkedPlaceholder]) | enum |\r\n",
        "operationId": "LookupAlarmAsset",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AlarmAssetLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/Lookups/LookupAlarmChangePermissionTree": {
      "get": {
        "tags": [
          "Alarm"
        ],
        "summary": "Lookup the permission set for changing the Alarm.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupAlarmChangePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AlarmChangePermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/Lookups/LookupAlarmInsertPermissionTree": {
      "get": {
        "tags": [
          "Alarm"
        ],
        "summary": "Lookup the permission set for creating the Alarm.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupAlarmInsertPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AlarmInsertPermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/Batch/{ids}": {
      "get": {
        "tags": [
          "Alarm"
        ],
        "summary": "Get a collection of Alarm resources for the set of id's.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| createdByUserId | Alarm->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | Alarm->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | Alarm->CreatedByUser_FullName | string |  |\r\n| createdOn | Alarm->CreatedOn | string | date-time |\r\n| modifiedByUserId | Alarm->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | Alarm->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | Alarm->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | Alarm->ModifiedOn | string | date-time |\r\n| version | Alarm->Version | integer | int32 |\r\n| permissionTreeId | Alarm->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | Alarm->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | Alarm->PermissionTree_Description | string |  |\r\n| id | Alarm->Id | integer | int64 |\r\n| alarmTypeId | Alarm->AlarmType_Id | integer | int64 |\r\n| alarmTypeCode | Alarm->AlarmType_Code | string |  |\r\n| alarmTypeDescription | Alarm->AlarmType_Description | string |  |\r\n| assetId | Alarm->Asset_Id | integer | int64 |\r\n| assetCode | Alarm->Asset_Code | string |  |\r\n| assetDescription | Alarm->Asset_Description | string |  |\r\n| assetRecordType | Alarm->Asset_RecordType | string (Allowed values: [Regular, InPlace, EmptyPlaceholder, LinkedPlaceholder]) | enum |\r\n| classification | Alarm->Classification | string (Allowed values: [Information, Warning, Error]) | enum |\r\n| description | Alarm->Description | string |  |\r\n| exceededBound | Alarm->ExceededBound | string (Allowed values: [UpperCritical, UpperWarning, LowerWarning, LowerCritical]) | enum |\r\n| monitoringPointId | Alarm->MonitoringPoint_Id | integer | int64 |\r\n| monitoringPointCode | Alarm->MonitoringPoint_Code | string |  |\r\n| monitoringPointDescription | Alarm->MonitoringPoint_Description | string |  |\r\n| monitoringPointIsCalculated | Alarm->MonitoringPoint_IsCalculated | boolean |  |\r\n| monitoringPointMonitoringPointTypeId | Alarm->MonitoringPoint_MonitoringPointType_Id | integer | int64 |\r\n| monitoringPointMonitoringPointTypeCode | Alarm->MonitoringPoint_MonitoringPointType_Code | string |  |\r\n| monitoringPointMonitoringPointTypeDescription | Alarm->MonitoringPoint_MonitoringPointType_Description | string |  |\r\n| notes | Alarm->Notes | string |  |\r\n| sequenceNumber | Alarm->SequenceNumber | integer | int32 |\r\n| source | Alarm->Source | string (Allowed values: [Manual, StandaloneTriggerExpression, AssetRegisterTriggerExpression]) | enum |\r\n| status | Alarm->Status | string (Allowed values: [Active, Acknowledged, Closed, Cancelled, ClosedBySystem]) | enum |\r\n| workOrderGenerated | Alarm->WorkOrderGenerated | boolean |  |\r\n",
        "operationId": "BatchGetAlarm",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Alarm id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Alarm collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/BatchGetAlarmsResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/Batch": {
      "post": {
        "tags": [
          "Alarm"
        ],
        "summary": "Create a new collection of Alarm resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| description | Alarm->Description | string |  |\r\n| alarmTypeId | Alarm->AlarmType_Id | integer | int64 |\r\n| assetId | Alarm->Asset_Id | integer | int64 |\r\n| classification | Alarm->Classification | string (Allowed values: [Information, Warning, Error]) | enum |\r\n| permissionTreeId | Alarm->PermissionTree_Id | integer | int64 |\r\n| notes | Alarm->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 500 chars|  |\r\n| alarmTypeId | Required | True |  |\r\n| alarmTypeId | Nullable | False |  |\r\n| classification | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchCreateAlarm",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "posts",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitycollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchCreateAlarmRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "description": "Success response - Alarm batch was successfully created"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Alarm"
        ],
        "summary": "Update a collection of existing Alarm resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | Alarm->Id | integer | int64 |\r\n| version | Alarm->Version | integer | int32 |\r\n| alarmTypeId | Alarm->AlarmType_Id | integer | int64 |\r\n| description | Alarm->Description | string |  |\r\n| classification | Alarm->Classification | string (Allowed values: [Information, Warning, Error]) | enum |\r\n| assetId | Alarm->Asset_Id | integer | int64 |\r\n| notes | Alarm->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| alarmTypeId | Nullable | False |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 500 chars|  |\r\n| classification | Nullable | False |  |\r\n| notes | Read-only | True | Alarm->Status EQ 'Cancelled' OR Alarm->Status EQ 'ClosedBySystem' OR Alarm->Status EQ 'Closed' |\r\n\r\n",
        "operationId": "BatchUpdateAlarm",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchUpdateAlarmResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Alarm batch was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/Batch/{alarmIds}/CreateWorkOrder": {
      "post": {
        "tags": [
          "Alarm"
        ],
        "summary": "Batch Create Work Order for Alarms",
        "description": "",
        "operationId": "BatchCreateWorkOrderForAlarm",
        "parameters": [
          {
            "name": "alarmIds",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Alarm id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/{id}/PermissionTree": {
      "patch": {
        "tags": [
          "Alarm"
        ],
        "summary": "Change the PermissionTree for an existing Alarm resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | Alarm->Version | integer | int32 |\r\n| permissionTreeId | Alarm->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeAlarmPermissionTree",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Alarm Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeAlarmPermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/{id}/Status": {
      "patch": {
        "tags": [
          "Alarm"
        ],
        "summary": "Change Alarm Status",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | ChangeAlarmStatus->Version | integer | int32 |\r\n| status | ChangeAlarmStatus->Status | string (Allowed values: [Active, Acknowledged, Closed, Cancelled, ClosedBySystem]) | enum |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| status | Required | True |  |\r\n| status | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeAlarmStatus",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Alarm Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeAlarmStatusResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/{id}/CreateWorkOrder": {
      "post": {
        "tags": [
          "Alarm"
        ],
        "summary": "Create Work Order For Alarm.",
        "description": "",
        "operationId": "CreateWorkOrderForAlarm",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Alarm Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/Batch/PermissionTree": {
      "patch": {
        "tags": [
          "Alarm"
        ],
        "summary": "Change the PermissionTree status for a collection of existing Alarm resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | Alarm->Id | integer | int64 |\r\n| version | Alarm->Version | integer | int32 |\r\n| permissionTreeId | Alarm->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeAlarmPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeAlarmPermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/Status/Batch": {
      "post": {
        "tags": [
          "Alarm"
        ],
        "summary": "Change the status for a collection of Alarm resources",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | ChangeAlarmStatus->Id | integer | int64 |\r\n| version | ChangeAlarmStatus->Version | integer | int32 |\r\n| status | ChangeAlarmStatus->Status | string (Allowed values: [Active, Acknowledged, Closed, Cancelled, ClosedBySystem]) | enum |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| status | Required | True |  |\r\n| status | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeAlarmStatus",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "posts",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitycollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeAlarmStatusResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/Attributes/{id}": {
      "get": {
        "tags": [
          "Alarm Attribute"
        ],
        "summary": "Get a Alarm Attribute resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| alarmId | AlarmAttribute->Alarm_Id | integer | int64 |\r\n| alarmDescription | AlarmAttribute->Alarm_Description | string |  |\r\n| createdByUserId | AlarmAttribute->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | AlarmAttribute->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | AlarmAttribute->CreatedByUser_FullName | string |  |\r\n| createdOn | AlarmAttribute->CreatedOn | string | date-time |\r\n| isActive | AlarmAttribute->IsActive | boolean |  |\r\n| modifiedByUserId | AlarmAttribute->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | AlarmAttribute->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | AlarmAttribute->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | AlarmAttribute->ModifiedOn | string | date-time |\r\n| permissionTreeId | AlarmAttribute->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | AlarmAttribute->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | AlarmAttribute->PermissionTree_Description | string |  |\r\n| version | AlarmAttribute->Version | integer | int32 |\r\n| id | AlarmAttribute->Id | integer | int64 |\r\n| attributeId | AlarmAttribute->Attribute_Id | integer | int64 |\r\n| attributeCode | AlarmAttribute->Attribute_Code | string |  |\r\n| attributeDescription | AlarmAttribute->Attribute_Description | string |  |\r\n| attributeAllowAnyValue | AlarmAttribute->Attribute_AllowAnyValue | boolean |  |\r\n| attributeDataType | AlarmAttribute->Attribute_DataType | string (Allowed values: [String, Email, Integer, Long, Float, Currency, DateTime, Date, Time, Duration, Boolean]) | enum |\r\n| attributeDefaultValue | AlarmAttribute->Attribute_DefaultValue | object | composite |\r\n| attributeDefaultAllowedValueId | AlarmAttribute->Attribute_DefaultAllowedValue_Id | integer | int64 |\r\n| attributeDefaultAllowedValueDescription | AlarmAttribute->Attribute_DefaultAllowedValue_Description | string |  |\r\n| attributeDefaultAllowedValueValue | AlarmAttribute->Attribute_DefaultAllowedValue_Value | object | composite |\r\n| notes | AlarmAttribute->Notes | string |  |\r\n| predefinedValueId | AlarmAttribute->PredefinedValue_Id | integer | int64 |\r\n| predefinedValueDescription | AlarmAttribute->PredefinedValue_Description | string |  |\r\n| predefinedValueValue | AlarmAttribute->PredefinedValue_Value | object | composite |\r\n| sequenceNumber | AlarmAttribute->SequenceNumber | integer | int32 |\r\n| value | AlarmAttribute->Value | object | composite |\r\n",
        "operationId": "GetAlarmAttribute",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Alarm Attribute Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Alarm Attribute",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAlarmAttributeResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Alarm Attribute"
        ],
        "summary": "Update an existing Alarm Attribute resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AlarmAttribute->Version | integer | int32 |\r\n| value | AlarmAttribute->Value | object | composite |\r\n| predefinedValueId | AlarmAttribute->PredefinedValue_Id | integer | int64 |\r\n| sequenceNumber | AlarmAttribute->SequenceNumber | integer | int32 |\r\n| notes | AlarmAttribute->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| value | Nullable | True |  |\r\n| predefinedValueId | Nullable | True |  |\r\n\r\n",
        "operationId": "UpdateAlarmAttribute",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Alarm Attribute Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateAlarmAttributeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Alarm Attribute was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Alarm Attribute"
        ],
        "summary": "Delete an existing Alarm Attribute resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AlarmAttribute->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteAlarmAttribute",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Alarm Attribute Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteAlarmAttributeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Alarm Attribute was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/{alarmId}/Attributes": {
      "get": {
        "tags": [
          "Alarm Attribute"
        ],
        "summary": "Get a collection of Alarm Attribute resources for the Alarm.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AlarmAttribute->Id | integer | int64 |\r\n| version | AlarmAttribute->Version | integer | int32 |\r\n| sequenceNumber | AlarmAttribute->SequenceNumber | integer | int32 |\r\n| attributeId | AlarmAttribute->Attribute_Id | integer | int64 |\r\n| attributeCode | AlarmAttribute->Attribute_Code | string |  |\r\n| attributeDescription | AlarmAttribute->Attribute_Description | string |  |\r\n| attributeDataType | AlarmAttribute->Attribute_DataType | string (Allowed values: [String, Email, Integer, Long, Float, Currency, DateTime, Date, Time, Duration, Boolean]) | enum |\r\n| predefinedValueId | AlarmAttribute->PredefinedValue_Id | integer | int64 |\r\n| predefinedValueDescription | AlarmAttribute->PredefinedValue_Description | string |  |\r\n| predefinedValueValue | AlarmAttribute->PredefinedValue_Value | object | composite |\r\n| value | AlarmAttribute->Value | object | composite |\r\n| notes | AlarmAttribute->Notes | string |  |\r\n| createdOn | AlarmAttribute->CreatedOn | string | date-time |\r\n| modifiedOn | AlarmAttribute->ModifiedOn | string | date-time |\r\n",
        "operationId": "GetAlarmAttributeCollectionForAlarm",
        "parameters": [
          {
            "name": "alarmId",
            "in": "path",
            "required": true,
            "description": "Alarm Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Alarm Attribute collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAlarmAttributeCollectionForAlarmResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/Attributes": {
      "get": {
        "tags": [
          "Alarm Attribute"
        ],
        "summary": "Get a collection of Alarm Attribute resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AlarmAttribute->Id | integer | int64 |\r\n| version | AlarmAttribute->Version | integer | int32 |\r\n| alarmId | AlarmAttribute->Alarm_Id | integer | int64 |\r\n| alarmDescription | AlarmAttribute->Alarm_Description | string |  |\r\n| sequenceNumber | AlarmAttribute->SequenceNumber | integer | int32 |\r\n| attributeId | AlarmAttribute->Attribute_Id | integer | int64 |\r\n| attributeCode | AlarmAttribute->Attribute_Code | string |  |\r\n| attributeDescription | AlarmAttribute->Attribute_Description | string |  |\r\n| attributeDataType | AlarmAttribute->Attribute_DataType | string (Allowed values: [String, Email, Integer, Long, Float, Currency, DateTime, Date, Time, Duration, Boolean]) | enum |\r\n| predefinedValueId | AlarmAttribute->PredefinedValue_Id | integer | int64 |\r\n| predefinedValueDescription | AlarmAttribute->PredefinedValue_Description | string |  |\r\n| predefinedValueValue | AlarmAttribute->PredefinedValue_Value | object | composite |\r\n| value | AlarmAttribute->Value | object | composite |\r\n| notes | AlarmAttribute->Notes | string |  |\r\n| createdOn | AlarmAttribute->CreatedOn | string | date-time |\r\n| modifiedOn | AlarmAttribute->ModifiedOn | string | date-time |\r\n",
        "operationId": "GetAlarmAttributeCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Alarm Attribute collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAlarmAttributeCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "Alarm Attribute"
        ],
        "summary": "Create a new Alarm Attribute resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| alarmId | AlarmAttribute->Alarm_Id | integer | int64 |\r\n| attributeId | AlarmAttribute->Attribute_Id | integer | int64 |\r\n| value | AlarmAttribute->Value | object | composite |\r\n| predefinedValueId | AlarmAttribute->PredefinedValue_Id | integer | int64 |\r\n| permissionTreeId | AlarmAttribute->PermissionTree_Id | integer | int64 |\r\n| sequenceNumber | AlarmAttribute->SequenceNumber | integer | int32 |\r\n| notes | AlarmAttribute->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| alarmId | Required | True |  |\r\n| alarmId | Nullable | False |  |\r\n| attributeId | Required | True |  |\r\n| attributeId | Nullable | False |  |\r\n| value | Nullable | True |  |\r\n| predefinedValueId | Nullable | True |  |\r\n| permissionTreeId | System Generated | true | If no value specified |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "CreateAlarmAttribute",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateAlarmAttributeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/Attributes/Lookups/LookupAlarmAttributeAllowedValue": {
      "get": {
        "tags": [
          "Alarm Attribute"
        ],
        "summary": "Lookup the Attribute Allowed Value for the Alarm Attribute.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AttributeAllowedValue->Id | integer | int64 |\r\n| description | AttributeAllowedValue->Description | string |  |\r\n| value | AttributeAllowedValue->Value | object | composite |\r\n",
        "operationId": "LookupAlarmAttributeAllowedValue",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Attribute Allowed Value collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AlarmAttributeAttributeAllowedValueLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/Attributes/Lookups/LookupAlarmAttribute": {
      "get": {
        "tags": [
          "Alarm Attribute"
        ],
        "summary": "Alarm Attribute",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | Attribute->Id | integer | int64 |\r\n| code | Attribute->Code | string |  |\r\n| description | Attribute->Description | string |  |\r\n| allowAnyValue | Attribute->AllowAnyValue | boolean |  |\r\n| dataType | Attribute->DataType | string (Allowed values: [String, Email, Integer, Long, Float, Currency, DateTime, Date, Time, Duration, Boolean]) | enum |\r\n| defaultValue | Attribute->DefaultValue | object | composite |\r\n| defaultAllowedValueId | Attribute->DefaultAllowedValue_Id | integer | int64 |\r\n| defaultAllowedValueValue | Attribute->DefaultAllowedValue_Value | object | composite |\r\n| defaultAllowedValueDescription | Attribute->DefaultAllowedValue_Description | string |  |\r\n| explanation | Attribute->Explanation | string |  |\r\n",
        "operationId": "LookupAlarmAttribute",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Attribute collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AlarmAttributeAttributeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/Attributes/Lookups/LookupAlarmAttributeChangePermissionTree": {
      "get": {
        "tags": [
          "Alarm Attribute"
        ],
        "summary": "Lookup the permission set for changing the Alarm Attribute.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupAlarmAttributeChangePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AlarmAttributeChangePermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/Attributes/Lookups/LookupAlarmAttributeInsertPermissionTree": {
      "get": {
        "tags": [
          "Alarm Attribute"
        ],
        "summary": "Lookup the permission set for creating the Alarm Attribute.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupAlarmAttributeInsertPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AlarmAttributeInsertPermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/Attributes/Lookups/LookupAlarmAttributeAlarm": {
      "get": {
        "tags": [
          "Alarm Attribute"
        ],
        "summary": "Lookup the Alarm Attribute for the Alarm Attribute.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | Alarm->Id | integer | int64 |\r\n| description | Alarm->Description | string |  |\r\n",
        "operationId": "LookupAlarmAttributeAlarm",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Alarm collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AlarmAttributeAlarmLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/Attributes/Batch/{ids}": {
      "get": {
        "tags": [
          "Alarm Attribute"
        ],
        "summary": "Get a collection of Alarm Attribute resources for the set of id's.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| alarmId | AlarmAttribute->Alarm_Id | integer | int64 |\r\n| alarmDescription | AlarmAttribute->Alarm_Description | string |  |\r\n| createdByUserId | AlarmAttribute->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | AlarmAttribute->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | AlarmAttribute->CreatedByUser_FullName | string |  |\r\n| createdOn | AlarmAttribute->CreatedOn | string | date-time |\r\n| isActive | AlarmAttribute->IsActive | boolean |  |\r\n| modifiedByUserId | AlarmAttribute->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | AlarmAttribute->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | AlarmAttribute->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | AlarmAttribute->ModifiedOn | string | date-time |\r\n| permissionTreeId | AlarmAttribute->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | AlarmAttribute->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | AlarmAttribute->PermissionTree_Description | string |  |\r\n| version | AlarmAttribute->Version | integer | int32 |\r\n| id | AlarmAttribute->Id | integer | int64 |\r\n| attributeId | AlarmAttribute->Attribute_Id | integer | int64 |\r\n| attributeCode | AlarmAttribute->Attribute_Code | string |  |\r\n| attributeDescription | AlarmAttribute->Attribute_Description | string |  |\r\n| attributeAllowAnyValue | AlarmAttribute->Attribute_AllowAnyValue | boolean |  |\r\n| attributeDataType | AlarmAttribute->Attribute_DataType | string (Allowed values: [String, Email, Integer, Long, Float, Currency, DateTime, Date, Time, Duration, Boolean]) | enum |\r\n| attributeDefaultValue | AlarmAttribute->Attribute_DefaultValue | object | composite |\r\n| attributeDefaultAllowedValueId | AlarmAttribute->Attribute_DefaultAllowedValue_Id | integer | int64 |\r\n| attributeDefaultAllowedValueDescription | AlarmAttribute->Attribute_DefaultAllowedValue_Description | string |  |\r\n| attributeDefaultAllowedValueValue | AlarmAttribute->Attribute_DefaultAllowedValue_Value | object | composite |\r\n| notes | AlarmAttribute->Notes | string |  |\r\n| predefinedValueId | AlarmAttribute->PredefinedValue_Id | integer | int64 |\r\n| predefinedValueDescription | AlarmAttribute->PredefinedValue_Description | string |  |\r\n| predefinedValueValue | AlarmAttribute->PredefinedValue_Value | object | composite |\r\n| sequenceNumber | AlarmAttribute->SequenceNumber | integer | int32 |\r\n| value | AlarmAttribute->Value | object | composite |\r\n",
        "operationId": "BatchGetAlarmAttribute",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Alarm Attribute id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Alarm Attribute collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/BatchGetAlarmAttributeResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/Attributes/Batch": {
      "post": {
        "tags": [
          "Alarm Attribute"
        ],
        "summary": "Create a new collection of Alarm Attribute resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| alarmId | AlarmAttribute->Alarm_Id | integer | int64 |\r\n| attributeId | AlarmAttribute->Attribute_Id | integer | int64 |\r\n| value | AlarmAttribute->Value | object | composite |\r\n| predefinedValueId | AlarmAttribute->PredefinedValue_Id | integer | int64 |\r\n| permissionTreeId | AlarmAttribute->PermissionTree_Id | integer | int64 |\r\n| sequenceNumber | AlarmAttribute->SequenceNumber | integer | int32 |\r\n| notes | AlarmAttribute->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| alarmId | Required | True |  |\r\n| alarmId | Nullable | False |  |\r\n| attributeId | Required | True |  |\r\n| attributeId | Nullable | False |  |\r\n| value | Nullable | True |  |\r\n| predefinedValueId | Nullable | True |  |\r\n| permissionTreeId | System Generated | true | If no value specified |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchCreateAlarmAttribute",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "posts",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitycollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchCreateAlarmAttributeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "description": "Success response - Alarm Attribute batch was successfully created"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Alarm Attribute"
        ],
        "summary": "Update a collection of existing Alarm Attribute resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AlarmAttribute->Id | integer | int64 |\r\n| version | AlarmAttribute->Version | integer | int32 |\r\n| value | AlarmAttribute->Value | object | composite |\r\n| predefinedValueId | AlarmAttribute->PredefinedValue_Id | integer | int64 |\r\n| sequenceNumber | AlarmAttribute->SequenceNumber | integer | int32 |\r\n| notes | AlarmAttribute->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| value | Nullable | True |  |\r\n| predefinedValueId | Nullable | True |  |\r\n\r\n",
        "operationId": "BatchUpdateAlarmAttribute",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchUpdateAlarmAttributeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Alarm Attribute batch was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Alarm Attribute"
        ],
        "summary": "Delete a collection of existing Alarm Attribute resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AlarmAttribute->Id | integer | int64 |\r\n| version | AlarmAttribute->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchDeleteAlarmAttribute",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "deletes",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydeletecollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchDeleteAlarmAttributeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Alarm Attribute batch was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/Attributes/{id}/Active": {
      "patch": {
        "tags": [
          "Alarm Attribute"
        ],
        "summary": "Change the IsActive status for an existing Alarm Attribute resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AlarmAttribute->Version | integer | int32 |\r\n| isActive | AlarmAttribute->IsActive | boolean |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isActive | Required | True |  |\r\n| isActive | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeAlarmAttributeIsActive",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Alarm Attribute Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeAlarmAttributeIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/Attributes/{id}/PermissionTree": {
      "patch": {
        "tags": [
          "Alarm Attribute"
        ],
        "summary": "Change the PermissionTree for an existing Alarm Attribute resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AlarmAttribute->Version | integer | int32 |\r\n| permissionTreeId | AlarmAttribute->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeAlarmAttributePermissionTree",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Alarm Attribute Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeAlarmAttributePermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/Attributes/Batch/PermissionTree": {
      "patch": {
        "tags": [
          "Alarm Attribute"
        ],
        "summary": "Change the PermissionTree status for a collection of existing Alarm Attribute resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AlarmAttribute->Id | integer | int64 |\r\n| version | AlarmAttribute->Version | integer | int32 |\r\n| permissionTreeId | AlarmAttribute->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeAlarmAttributePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeAlarmAttributePermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/Attributes/Batch/Active": {
      "patch": {
        "tags": [
          "Alarm Attribute"
        ],
        "summary": "Change the IsActive status for a collection of existing Alarm Attribute resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AlarmAttribute->Id | integer | int64 |\r\n| version | AlarmAttribute->Version | integer | int32 |\r\n| isActive | AlarmAttribute->IsActive | boolean |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isActive | Required | True |  |\r\n| isActive | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeAlarmAttributeIsActive",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeAlarmAttributeIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/Documents/{id}": {
      "get": {
        "tags": [
          "Alarm Document"
        ],
        "summary": "Get a Alarm Document resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| alarmId | AlarmDocument->Alarm_Id | integer | int64 |\r\n| alarmDescription | AlarmDocument->Alarm_Description | string |  |\r\n| isActive | AlarmDocument->IsActive | boolean |  |\r\n| createdByUserId | AlarmDocument->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | AlarmDocument->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | AlarmDocument->CreatedByUser_FullName | string |  |\r\n| createdOn | AlarmDocument->CreatedOn | string | date-time |\r\n| modifiedByUserId | AlarmDocument->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | AlarmDocument->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | AlarmDocument->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | AlarmDocument->ModifiedOn | string | date-time |\r\n| version | AlarmDocument->Version | integer | int32 |\r\n| permissionTreeId | AlarmDocument->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | AlarmDocument->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | AlarmDocument->PermissionTree_Description | string |  |\r\n| id | AlarmDocument->Id | integer | int64 |\r\n| documentRecordId | AlarmDocument->DocumentRecord_Id | integer | int64 |\r\n| documentRecordCode | AlarmDocument->DocumentRecord_Code | string |  |\r\n| documentRecordDescription | AlarmDocument->DocumentRecord_Description | string |  |\r\n| documentRecordFileLocation | AlarmDocument->DocumentRecord_FileLocation | string |  |\r\n| documentRecordFileInfoId | AlarmDocument->DocumentRecord_FileInfoId | integer | int64 |\r\n| documentRecordFileFullName | AlarmDocument->DocumentRecord_FileFullName | string |  |\r\n| documentRecordContentId | AlarmDocument->DocumentRecord_Content_Id | integer | int64 |\r\n| documentRecordContentSizeInMb | AlarmDocument->DocumentRecord_Content_SizeInMb | number | decimal |\r\n| documentRecordFileTypeId | AlarmDocument->DocumentRecord_FileType_Id | integer | int64 |\r\n| documentRecordFileTypeExtension | AlarmDocument->DocumentRecord_FileType_Extension | string |  |\r\n| notes | AlarmDocument->Notes | string |  |\r\n| sequenceNumber | AlarmDocument->SequenceNumber | integer | int32 |\r\n",
        "operationId": "GetAlarmDocument",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Alarm Document Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Alarm Document",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAlarmDocumentResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Alarm Document"
        ],
        "summary": "Update an existing Alarm Document resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AlarmDocument->Version | integer | int32 |\r\n| sequenceNumber | AlarmDocument->SequenceNumber | integer | int32 |\r\n| notes | AlarmDocument->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "UpdateAlarmDocument",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Alarm Document Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateAlarmDocumentResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Alarm Document was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Alarm Document"
        ],
        "summary": "Delete an existing Alarm Document resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AlarmDocument->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteAlarmDocument",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Alarm Document Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteAlarmDocumentResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Alarm Document was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AHM/Alarms/{id}/Documents": {
      "get": {
        "tags": [
          "Alarm Document"
        ],
        "summary": "Get a collection of Alarm Document resources for the Alarm.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AlarmDocument->Id | integer | int64 |\r\n| version | AlarmDocument->Version | integer | int32 |\r\n| sequenceNumber | AlarmDocument->SequenceNumber | integer | int32 |\r\n| documentRecordId | AlarmDocument->DocumentRecord_Id | integer | int64 |\r\n| documentRecordCode | AlarmDocument->DocumentRecord_Code | string |  |\r\n| documentRecordDescription | AlarmDocument->DocumentRecord_Description | string |  |\r\n| documentRecordFileLocation | AlarmDocument->DocumentRecord_FileLocation | string |  |\r\n| documentRecordFileFullName | AlarmDocument->DocumentRecord_FileFullName | string |  |\r\n| documentRecordContentSizeInMb | AlarmDocument->DocumentRecord_Content_SizeInMb | number | decimal |\r\n| documentRecordFileTypeExtension | AlarmDocument->DocumentRecord_FileType_Extension | string |  |\r\n",
        "operationId": "GetAlarmDocumentCollectionForAlarm",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Alarm Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Alarm Document collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAlarmDocumentCollectionForAlarmResourceActionResponse"
                }
              }
            }
          },
[...]
